Bio::SeqIO::MultiFile(3)

NAME
Bio::SeqIO::MultiFile - Treating a set of files as a single input stream

SYNOPSIS
   $seqin = Bio::SeqIO::MultiFile( '-format' => 'Fasta',
                                   '-files'  => ['file1','file2'] );
   while((my $seq = $seqin->next_seq)) {
       # do something with $seq
   }

DESCRIPTION
Bio::SeqIO::MultiFile provides a simple way of bundling a whole set of identically formatted sequence input files as a single stream.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Ewan Birney
Email birney@ebi.ac.uk

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  next_seq
 Title   : next_seq
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  next_primary_seq
 Title   : next_primary_seq
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  _load_file
 Title   : _load_file
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  _set_file
 Title   : _set_file
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  _current_seqio
 Title   : _current_seqio
 Usage   : $obj->_current_seqio($newval)
 Function:
 Example :
 Returns : value of _current_seqio
 Args    : newvalue (optional)

  _format
 Title   : _format
 Usage   : $obj->_format($newval)
 Function:
 Example :
 Returns : value of _format
 Args    : newvalue (optional)